Unit SF18R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, SF17R_p, UTSF10_p;

procedure SF18R(X :Real; var BER1 :Real; var BEI1 :Real;
                var AKER1 :Real; var AKEI1 :Real; var IERR :Integer);

implementation

procedure SF18R(X :Real; var BER1 :Real; var BEI1 :Real;
                var AKER1 :Real; var AKEI1 :Real; var IERR :Integer);
var
BERP,BEIP,XKEIP,XKERP :Real;
const
SYS059 :Real = 3.4E38;
SYS029 :Real = 0.70710678118654752440084436210485;
ZERO :Real = 0.0E0;
ZMAX :Real = 119.0E0;
label
_1,_2,_3,_4,_5;
begin
IERR := 0;
if ( X = ZERO ) 
 then goto _3;
if ( Abs(X) > ZMAX ) 
 then goto _2;
SF17R(X,BERP,BEIP,XKERP,XKEIP,IERR);
BEI1 := (BERP+BEIP)*SYS029;
BER1 := (BERP-BEIP)*SYS029;
if ( X < ZERO ) 
 then goto _1;
AKEI1 := (XKERP+XKEIP)*SYS029;
AKER1 := (XKERP-XKEIP)*SYS029;
goto _5;
_1:
AKER1 := SYS059;
AKEI1 := SYS059;
IERR := 1;
goto _4;
_2:
BEI1 := ZERO;
BER1 := ZERO;
AKER1 := ZERO;
AKEI1 := ZERO;
IERR := 66;
if ( X > ZERO ) 
 then goto _4;
AKER1 := SYS059;
AKEI1 := SYS059;
goto _4;
_3:
BEI1 := ZERO;
BER1 := ZERO;
AKER1 := -SYS059;
AKEI1 := -SYS059;
goto _5;
_4:
UTSF10(IERR,18);
_5:
end;

end.
